Bug 442234 - %post failure on fresh install
%post failure on fresh install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: texlive-texmf (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-12 23:31 EDT by Jon Stanley
Modified: 2013-07-02 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: texlive-texmf-2007-25.fc10.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-01 17:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-04-12 23:31:23 EDT
Fresh install of rawhide 20080412 - this shows up in install.log:


Installing texlive-texmf-fonts-2007-20.fc9.noarch
No such file or directory
error: %post(texlive-texmf-fonts-2007-20.fc9.noarch) scriptlet failed, exit status 1
Comment 1 Patrice Dumas 2008-04-13 17:20:59 EDT
Could it be than texlive-texmf is installed after texlive-texmf-fonts?
Comment 2 Jon Stanley 2008-04-14 09:10:04 EDT
I don't think so, here's the texlive stuff that's in install.log.  I'm not sure
what in the world it's looking for...the only thing that I saw in %post that
didn't test for existence of the target is a restorecon (of things that do exist
on the end installed system)

[root@localhost ~]# fgrep texlive install.log
Installing texlive-texmf-errata-2007-4.fc9.noarch
warning: texlive-texmf-errata-2007-4.fc9: Header V3 DSA signature: NOKEY, key ID
30c9ecf8
Installing texlive-texmf-errata-latex-2007-4.fc9.noarch
Installing texlive-texmf-errata-dvips-2007-4.fc9.noarch
Installing texlive-texmf-errata-fonts-2007-4.fc9.noarch
Installing texlive-texmf-2007-20.fc9.noarch
Installing texlive-texmf-dvips-2007-20.fc9.noarch
Installing texlive-texmf-fonts-2007-20.fc9.noarch
error: %post(texlive-texmf-fonts-2007-20.fc9.noarch) scriptlet failed, exit status 1
Installing texlive-2007-28.fc9.i386
Installing texlive-dvips-2007-28.fc9.i386
Installing texlive-utils-2007-28.fc9.i386
Installing texlive-latex-2007-28.fc9.i386
Installing texlive-texmf-latex-2007-20.fc9.noarch
[root@localhost ~]# 
Comment 3 Alain Portal 2008-04-20 09:22:03 EDT
I confirm this bug, still present on Fedora 9-Preview
Comment 4 Jindrich Novy 2008-05-05 22:50:44 EDT
Fixed, it shouldn't occur in F9 release, see #444922.
Comment 5 petrosyan 2008-05-17 20:06:10 EDT
It still occurs in default Fedora 9 install. Here are relevant parts from
anaconda's install.log file:

Installing texlive-texmf-2007-22.fc9.noarch
No such file or directory
Installing texlive-texmf-dvips-2007-22.fc9.noarch
No such file or directory
Installing texlive-texmf-fonts-2007-22.fc9.noarch
No such file or directory
Comment 6 petrosyan 2008-10-01 17:20:23 EDT
this bug has been fixed in texlive-texmf-2007-25.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.